<?php 
/**
 * @package Joomly Contactus for Joomla! 2.5 - 3.x
 * @version 3.15
 * @author Artem Yegorov
 * @copyright (C) 2016- Artem Yegorov
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
?>
<div id="contactus-lightbox<?php if (isset($module->id)){echo $module->id;};?>" class="contactus-lightbox">
	<div class="contactus-lightbox-caption" style="background-color:<?php echo (isset($fields->color) ? $fields->color : "#21ad33");?>;">
		<div class="contactus-lightbox-cap"><h4 class="text-center"><?php if (!empty($fields->title_name)){echo $fields->title_name;}else {echo JText::_('MOD_CONTACTUS_TITLE_NAME_MODULE');};?></h4></div><div class="contactus-lightbox-closer"><b id="contactus-lightbox-close<?php if (isset($module->id)){echo $module->id;};?>" class="fa fa-close fa-1x">X</b></div>		
	</div>
	<div class="contactus-lightbox-body">
		<form  action="<?php echo JFactory::getURI();?>" method="post" class="reg_form" onsubmit="contactus_validate(this);joomly_analytics(<?php echo $module->id;?>);" enctype="multipart/form-data">
		<div>
			<?php if (isset($fields->field))
				{	
					foreach ($fields->field as $f)
					{	
						switch ($f->type){
							case "Input":?>
								<div class="joomly-contactus-div">
									<input type="text" placeholder="<?php echo $f->title; if ($f->required == 1){echo '*';};?>" class="contactus-fields" name="<?php echo $f->name;?>" <?php if ($f->required == 1){echo "required";}; ?>>
								</div>
						<?php break; 
							case "Email":?>		
								<div class="joomly-contactus-div">
									<input type="email" placeholder="<?php echo $f->title;if ($f->required == 1){echo '*';};?>" class="contactus-fields" name="<?php echo $f->name;?>" <?php if ($f->required == 1){echo "required";}; ?>>
								</div>
						<?php break; 
							case "Textarea":?>		
								<div class="joomly-contactus-div">
									<textarea  placeholder="<?php echo $f->title;if ($f->required == 1){echo '*';};?>" class="contactus-textarea" name="<?php echo $f->name;?>" cols="120" rows="6" <?php if ($f->required == 1){echo "required";}; ?>></textarea>
								</div>
						<?php break; 
							case "Date":?>		
								<div class="joomly-contactus-div">
									<input type="text" placeholder="<?php echo $f->title; if ($f->required == 1){echo '*';};?>" class="contactus-fields constructor" onfocus="(this.type='date')"  name="<?php echo $f->name;?>" <?php if ($f->required == 1){echo "required";}; ?>>
								</div>	
						<?php break; 
							case "Checkbox":?>		
								<div class="joomly-contactus-div checkbox-container">
									<label class="contactus-checkbox-label" ><span class="contactus-sp"><?php echo $f->title;?></span><input type="checkbox" class="contactus-fields" value="<?php echo JText::_('MOD_CONTACTUS_CHECKBOX_YES');?>" name="<?php echo $f->name;?>" /></label>
								</div>		
						<?php break; 
							case "Select":?>		
								<div class="joomly-contactus-div select-container">
									<select class="contactus-select" name="<?php echo $f->name;?>">
									<option><?php echo $f->title;?></option>	
									<?php foreach ($f->options as $option)
									{?>
										<option><?php echo $option;?></option>	
									<?php }?>
									</select>
								</div>
						<?php break; 
							case "Text":?>		
								<div class="joomly-contactus-div">
									<p class="joomly-p"><?php echo $f->title;?></p>
								</div>							
						<?php break;		
						}
					 }
				}?>	
			<?php if (($fields->uploader !==null ? $fields->uploader : 1)  == 1){?>
				<div class="contactus-file"  >
					<span id="file-contactus<?php if (isset($module->id)){echo $module->id;};?>" class="contactus-file" >
						<label class="contactus-file-label" id="file-label<?php if (isset($module->id)){echo $module->id;};?>"><?php echo JText::_('MOD_CONTACTUS_ADD_FILES'); ?></label>
						<label class="contactus-file" style="background-color: <?php echo ($fields->color !==null ? $fields->color : "#21ad33");?>;" for="file-input<?php if (isset($module->id )){echo $module->id;};?>"><?php echo JText::_('MOD_CONTACTUS_BROWSE'); ?></label>
						<input type="file" name="file[]" id="file-input<?php if (isset($module->id)){echo $module->id;};?>" class="contactus-file" onchange="contactus_uploader(<?php if (isset($module->id )){echo $module->id;};?>)" multiple  >			
					</span>
				</div>
			<?php }?>
			<?php if (($fields->captcha !==null ? $fields->captcha : 1)  == 1){?>
				<div class="joomly-contactus-div">
					<div class="g-recaptcha" data-sitekey="<?php if (isset($fields->captcha_sitekey)){echo $fields->captcha_sitekey;}?>"></div>
				</div>
			<?php }?>	
		</div>
		<div>
			<button type="submit" value="save" class="contactus-button contactus-submit" style="background-color: <?php echo (isset($fields->color) ? $fields->color : "#21ad33");?>;" id="button-contactus-lightbox<?php if (isset($module->id)){echo $module->id;};?>"><?php if (!empty($fields->button_send)) { echo $fields->button_send;} else {echo  JText::_('MOD_CONTACTUS_SEND');};?></button>
		</div>
			<input type="hidden" name="option" value="com_contactus" />
			<input type="hidden" name="layout" value="lightbox" />
			<input type="hidden" name="module_id" value="<?php echo $module->id;?>" />	
			<input type="hidden" name="module_title" value="<?php echo $module->title;?>" />	
			<input type="hidden" name="page" value="<?php echo urldecode($_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']);?>" />
			<input type="hidden" name="ip" value="<?php echo $_SERVER['REMOTE_ADDR'];?>" />
			<input type="hidden" name="task" value="add.save" />
			<?php echo JHtml::_('form.token'); ?>
		</form>
	</div>
</div>	
<?php
	if (($fields->lightbox_element !==null ? $fields->lightbox_element : 1)  > 0){?>
	<div>
		<button class="<?php if ($fields->lightbox_element == 2){echo "sliding ".$class;};?> contactus-<?php if (isset($fields->margin)){echo $fields->margin;}; ?> contactus<?php if (isset($module->id)){echo "-".$module->id;};?> contactus-button" type="submit"  style="background-color: <?php echo (isset($fields->color) ? $fields->color : "#21ad33");?>; <?php echo $button_align ;?>" id="button-contactus-lightbox-form<?php if (isset($module->id)){echo $module->id;};?>"><?php if (!empty($fields->lightbox_button_caption)) { echo $fields->lightbox_button_caption;} else {echo  JText::_('MOD_CONTACTUS_WRIGHT_TO_US');};?></button>
	</div>
<?php } ?>
<div class="contactus-alert" id="contactus-sending-alert<?php if (isset($module->id)){echo $module->id;};?>">
	<div class="contactus-lightbox-caption" style="background-color:<?php echo $alert_message_color;?>;">
		<div class="contactus-lightbox-cap"><h4 class="contactus-lightbox-text-center"><?php if (isset($alert_headline_text)){echo $alert_headline_text;};?></h4></div><div class="contactus-lightbox-closer"><i id="contactus-lightbox-sending-alert-close<?php if (isset($module->id)){echo $module->id;};?>" class="fa fa-close fa-1x"></i></div>
	</div>
	<div class="contactus-alert-body">
		<p class="contactus-lightbox-text-center"><?php if (isset($alert_message_text)){echo $alert_message_text;};?></p>
	</div>
</div>
<script type="text/javascript">
var contactus_module_id = <?php if (isset($module->id)){echo $module->id;} else { echo "0";};?>,
files_added = "<?php echo JText::_('MOD_CONTACTUS_FILES_ADDED');?>";
type_field = "<?php echo JText::_('MOD_CONTACTUS_TYPE_FIELD');?>";
var contactus_sending_flag = contactus_sending_flag || [];
contactus_sending_flag[contactus_module_id] = contactus_sending_flag[contactus_module_id] || <?php if (isset($sending_flag)){echo $sending_flag;} else {echo "0";};?>;
var contactus_params = contactus_params || [];
contactus_params[contactus_module_id] = <?php echo json_encode($contactus_params);?>;
var popup = document.getElementById("contactus-lightbox" + contactus_module_id);
document.body.appendChild(popup);
</script>
<script type="text/javascript" src="modules/mod_contactus/js/lightbox.js"></script>
